Altibase.jdbc.driver.cm

## Class SSLProperties

- java.lang.Object
- - Altibase.jdbc.driver.cm.SSLProperties

    public class SSLProperties
    extends java.lang.Object

PROJ-2474 Ssl Certificate 정보를 담고있는 java bean 클래스

Author:
  yjpark

### Field Summary

Fields
`static java.lang.String` `CIPHERSUITE_LIST`
`static java.lang.String` `KEYSTORE_PASSWORD`
`static java.lang.String` `KEYSTORE_TYPE`
`static java.lang.String` `KEYSTORE_URL`
`static java.lang.String` `SSL_ENABLE`
`static java.lang.String` `SSL_PROTOCOLS`
`static java.lang.String` `TRUSTSTORE_PASSWORD`
`static java.lang.String` `TRUSTSTORE_TYPE`
`static java.lang.String` `TRUSTSTORE_URL`
`static java.lang.String` `VERIFY_SERVER_CERTIFICATE`

### Constructor Summary

Constructors
Constructor and Description
`SSLProperties(AltibaseProperties aProps)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String[]` `getCipherSuiteList()`
`java.lang.String` `getKeyStorePassword()`
`java.lang.String` `getKeyStoreType()`
`java.lang.String` `getKeyStoreUrl()`
`java.lang.String[]` `getProtocols()`
`java.lang.String` `getTrustStorePassword()`
`java.lang.String` `getTrustStoreType()`
`java.lang.String` `getTrustStoreUrl()`
`void` `setKeyStorePassword(java.lang.String aKeyStorePassword)`
`void` `setKeyStoreType(java.lang.String aKeyStoreType)`
`void` `setKeyStoreUrl(java.lang.String aKeyStoreUrl)`
`void` `setTrustStorePassword(java.lang.String aTrustStorePassword)`
`void` `setTrustStoreType(java.lang.String aTrustStoreType)`
`void` `setTrustStoreUrl(java.lang.String aTrustStoreUrl)`
`void` `setVerifyServerCertificate(boolean aVerifyServerCertificate)`
`java.lang.String` `toString()`
`boolean` `verifyServerCertificate()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### KEYSTORE_URL

    public static final java.lang.String KEYSTORE_URL

See Also:
  Constant Field Values

#### KEYSTORE_TYPE

    public static final java.lang.String KEYSTORE_TYPE

See Also:
  Constant Field Values

#### KEYSTORE_PASSWORD

    public static final java.lang.String KEYSTORE_PASSWORD

See Also:
  Constant Field Values

#### TRUSTSTORE_URL

    public static final java.lang.String TRUSTSTORE_URL

See Also:
  Constant Field Values

#### TRUSTSTORE_TYPE

    public static final java.lang.String TRUSTSTORE_TYPE

See Also:
  Constant Field Values

#### TRUSTSTORE_PASSWORD

    public static final java.lang.String TRUSTSTORE_PASSWORD

See Also:
  Constant Field Values

#### CIPHERSUITE_LIST

    public static final java.lang.String CIPHERSUITE_LIST

See Also:
  Constant Field Values

#### VERIFY_SERVER_CERTIFICATE

    public static final java.lang.String VERIFY_SERVER_CERTIFICATE

See Also:
  Constant Field Values

#### SSL_ENABLE

    public static final java.lang.String SSL_ENABLE

See Also:
  Constant Field Values

#### SSL_PROTOCOLS

    public static final java.lang.String SSL_PROTOCOLS

See Also:
  Constant Field Values

### Constructor Detail

#### SSLProperties

    public SSLProperties(AltibaseProperties aProps)

### Method Detail

#### getKeyStoreUrl

    public java.lang.String getKeyStoreUrl()

#### setKeyStoreUrl

    public void setKeyStoreUrl(java.lang.String aKeyStoreUrl)

#### getKeyStoreType

    public java.lang.String getKeyStoreType()

#### setKeyStoreType

    public void setKeyStoreType(java.lang.String aKeyStoreType)

#### getKeyStorePassword

    public java.lang.String getKeyStorePassword()

#### setKeyStorePassword

    public void setKeyStorePassword(java.lang.String aKeyStorePassword)

#### getTrustStoreUrl

    public java.lang.String getTrustStoreUrl()

#### setTrustStoreUrl

    public void setTrustStoreUrl(java.lang.String aTrustStoreUrl)

#### getTrustStoreType

    public java.lang.String getTrustStoreType()

#### setTrustStoreType

    public void setTrustStoreType(java.lang.String aTrustStoreType)

#### getTrustStorePassword

    public java.lang.String getTrustStorePassword()

#### setTrustStorePassword

    public void setTrustStorePassword(java.lang.String aTrustStorePassword)

#### verifyServerCertificate

    public boolean verifyServerCertificate()

#### setVerifyServerCertificate

    public void setVerifyServerCertificate(boolean aVerifyServerCertificate)

#### getCipherSuiteList

    public java.lang.String[] getCipherSuiteList()

#### getProtocols

    public java.lang.String[] getProtocols()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`